Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.namestore.interfaces
Class NSHost

    java.lang.Object
      com.verisign.epp.interfaces.EPPHost
          com.verisign.epp.namestore.interfaces.NSHost

    public class NSHost

extends EPPHost

NameStore Host interface that extends that standard `EPPHost` by adding new methods like @link{#setSubProductID(String)}. `EPPHost` could be used directly, but `NSHost` can be enhanced independent of the EPP specification.

Field Summary

Fields inherited from class com.verisign.epp.interfaces.EPPHost
`DEFAULT_LANG, STAT_CLIENT_DELETE_PROHIBITED, STAT_CLIENT_UPDATE_PROHIBITED, STAT_LINKED, STAT_OK, STAT_PENDING_CREATE, STAT_PENDING_DELETE, STAT_PENDING_TRANSFER, STAT_PENDING_UPDATE, STAT_SERVER_DELETE_PROHIBITED, STAT_SERVER_UPDATE_PROHIBITED`

Constructor Summary
`NSHost(EPPSession aSession)` Creates an `NSHost` with an established `EPPSession`.

Method Summary
`protected void` | `resetHost()` Resets the host attributes for the next command.
`void` | `setSubProductID(java.lang.String aSubProductID)` Sets the host sub-product id which specifies which is the target registry for the host operation.

Methods inherited from class com.verisign.epp.interfaces.EPPHost
`addExtension, addHostName, addIPV4Address, addIPV6Address, addStatus, addStatus, getExtensions, getNewName, getResponse, removeIPV4Address, removeIPV6Address, removeStatus, removeStatus, sendCheck, sendCreate, sendDelete, sendInfo, sendUpdate, setExtension, setExtensions, setNewName, setTransId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NSHost

    public NSHost(EPPSession aSession)

  Creates an `NSHost` with an established `EPPSession`.

  Parameters:
    `aSession` - Established session

Method Detail

### setSubProductID

    public void setSubProductID(java.lang.String aSubProductID)

  Sets the host sub-product id which specifies which is the target registry for the host operation. Some possible values include dotCC, dotTV, dotBZ, dotCOM, dotNET. This results in a `EPPNamestoreExtNamestoreExt` extension being added to the command.

  Parameters:
    `aSubProductID` - Sub-product id of host operation. Should use one of the @link{NSSubProduct} constants. Passing `null` will not add any extension.

### resetHost

    protected void resetHost()

  Resets the host attributes for the next command.

  Overrides:
    `resetHost` in class `EPPHost`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.